From: Narinder Gupta <narinder.gupta@canonical.com>
Date: Wed, 23 Dec 2015 15:37:28 +0000 (-0600)
Subject: modified intelpod5 interfaces to remove the need of special charms.
X-Git-Tag: brahmaputra.1.0~97
X-Git-Url: https://gerrit.opnfv.org/gerrit/gitweb?a=commitdiff_plain;h=refs%2Fchanges%2F45%2F5145%2F1;p=joid.git

modified intelpod5 interfaces to remove the need of special charms.

Change-Id: Ibf93074eb56807d6c3f9b0191bf02df063248f26
---

diff --git a/ci/02-maasdeploy.sh b/ci/02-maasdeploy.sh
index 7846cf11..5d00f5bb 100755
--- a/ci/02-maasdeploy.sh
+++ b/ci/02-maasdeploy.sh
@@ -75,15 +75,35 @@ if [ "$virtinstall" -eq 1 ]; then
     sudo virsh net-start default
 fi
 
+#Below function will mark the interfaces in Auto mode to enbled by MAAS
 enableautomode() {
     listofnodes=`maas maas nodes list | grep system_id | cut -d '"' -f 4`
 
     for nodes in $listofnodes
     do
-        maas maas interface link-subnet $nodes $1  mode=AUTO subnet=10.4.9.0/24
+        maas maas interface link-subnet $nodes $1  mode=$2 subnet=$3
     done
 }
 
+#Below function will create vlan and update interface with the new vlan
+# will return the vlan id created
+crvlanupdsubnet() {
+    newvlanid=`maas maas vlans create $2 name=$3 vid=$4 | grep resource | cut -d '/' -f 6 `
+    maas maas subnet update $5 vlan=$newvlanid
+    eval "$1"="'$newvlanid'"
+}
+
+#Below function will create interface with new vlan and bind to physical interface
+crnodevlanint() {
+    listofnodes=`maas maas nodes list | grep system_id | cut -d '"' -f 4`
+
+    for nodes in $listofnodes
+    do
+        parentid=`maas maas interface read $nodes eth2 | grep interfaces | cut -d '/' -f 8`
+        maas maas interfaces create-vlan $nodes vlan=$1 parent=$parentid
+     done
+ }
+
 sudo maas-deployer -c deployment.yaml -d --force
 
 sudo chown $USER:$USER environments.yaml
@@ -98,22 +118,6 @@ maas maas boot-source update 1 url="http://maas.ubuntu.com/images/ephemeral-v2/d
 maas maas boot-resources import
 maas maas sshkeys new key="`cat $HOME/.ssh/id_rsa.pub`"
 
-# Enable interfaces with maas
-case "$1" in
-    'intelpod5' )
-        ;;
-    'intelpod6' )
-        enableautomode eth1 || true
-        ;;
-    'orangepod2' )
-        ;;
-    'attvirpod1' )
-        ;;
-    'juniperpod1' )
-        ;;
-esac
-
-
 #adding compute and control nodes VM to MAAS for deployment purpose.
 if [ "$virtinstall" -eq 1 ]; then
     # create two more VMs to do the deployment.
@@ -140,6 +144,29 @@ if [ "$virtinstall" -eq 1 ]; then
 
 fi
 
+# Enable vlan interfaces with maas
+case "$1" in
+    'intelpod5' )
+        maas refresh
+        crvlanupdsubnet vlan721 1 "DataNetwork" 721 2 || true
+        crvlanupdsubnet vlan724 2 "PublicNetwork" 724 3 || true
+        crnodevlanint $vlan721 || true
+        crnodevlanint $vlan724 || true
+        enableautomode eth2.721 AUTO "10.4.9.0/24" || true
+        ;;
+    'intelpod6' )
+        enableautomode eth1 AUTO "10.4.9.0/24" || true
+        ;;
+    'orangepod2' )
+        ;;
+    'attvirpod1' )
+        ;;
+    'juniperpod1' )
+        ;;
+esac
+
+echo " .... MAAS deployment finished successfully ...."
+
 #echo "... Deployment of opnfv release Started ...."
 #python deploy.py $maas_ip
 
diff --git a/ci/maas/intel/pod5/deployment.yaml b/ci/maas/intel/pod5/deployment.yaml
index bacf6aa5..de5c29c0 100755
--- a/ci/maas/intel/pod5/deployment.yaml
+++ b/ci/maas/intel/pod5/deployment.yaml
@@ -22,7 +22,7 @@ demo-maas:
         apt_http_proxy:
 
         apt_sources:
-          - ppa:maas/stable
+          - ppa:maas/next
           - ppa:juju/stable
 
         # Virsh power settings
@@ -227,7 +227,7 @@ demo-maas:
     # node virtual machine
     juju-bootstrap:
         name: bootstrap
-        interfaces: ['bridge=brAdm,model=virtio','bridge=brData,model=virtio','bridge=brPublic,model=virtio']
+        interfaces: ['bridge=brAdm,model=virtio','bridge=brPublic,model=virtio']
         memory: 4096
         vcpus: 4
         arch: amd64
diff --git a/ci/nosdn/01-deploybundle.sh b/ci/nosdn/01-deploybundle.sh
index ef802e20..53c78f45 100755
--- a/ci/nosdn/01-deploybundle.sh
+++ b/ci/nosdn/01-deploybundle.sh
@@ -44,16 +44,15 @@ case "$3" in
          sed -i -- 's/#        "ext-port": "eth1"/        "ext-port": "eth2"/g' ./bundles.yaml
          ;;
      'intelpod5' )
-         cp maas/intel/pod5/interfaces.host trusty/ubuntu-nodes-controller/network/interfaces.host
-         cp maas/intel/pod5/lxc-add-more-interfaces trusty/ubuntu-nodes-controller/lxc/add-more-interfaces
-         cp maas/intel/pod5/interfaces.host trusty/ubuntu-nodes-compute/network/interfaces.host
-         cp maas/intel/pod5/lxc-add-more-interfaces trusty/ubuntu-nodes-compute/lxc/add-more-interfaces
+        # As environment does not need special treatment for interfaces for MAAS 1.9
+         sed -i -- 's/local:trusty\/ubuntu-nodes-controller/cs:trusty\/ubuntu/g' ./bundles.yaml
+         sed -i -- 's/local:trusty\/ubuntu-nodes-compute/cs:trusty\/ubuntu/g' ./bundles.yaml
         # As per your lab vip address list be deafult uses 10.4.1.21 - 10.4.1.29
          sed -i -- 's/10.4.1.1/10.4.1.2/g' ./bundles.yaml
         # choose the correct interface to use for data network
          sed -i -- 's/#os-data-network: 10.4.8.0\/21/os-data-network: 10.4.9.0\/24/g' ./bundles.yaml
         # Choose the external port to go out from gateway to use.
-         sed -i -- 's/#        "ext-port": "eth1"/        "ext-port": "brPublic"/g' ./bundles.yaml
+         sed -i -- 's/#        "ext-port": "eth1"/        "ext-port": "eth2.724"/g' ./bundles.yaml
         ;;
      'attvirpod1' )
         # As virtual environment does not need special treatment for interfaces.
diff --git a/ci/odl/01-deploybundle.sh b/ci/odl/01-deploybundle.sh
index 03bab193..354082bc 100755
--- a/ci/odl/01-deploybundle.sh
+++ b/ci/odl/01-deploybundle.sh
@@ -44,16 +44,15 @@ case "$3" in
          sed -i -- 's/#        "ext-port": "eth1"/        "ext-port": "eth2"/g' ./bundles.yaml
          ;;
      'intelpod5' )
-         cp maas/intel/pod5/interfaces.host trusty/ubuntu-nodes-controller/network/interfaces.host
-         cp maas/intel/pod5/lxc-add-more-interfaces trusty/ubuntu-nodes-controller/lxc/add-more-interfaces
-         cp maas/intel/pod5/interfaces.host trusty/ubuntu-nodes-compute/network/interfaces.host
-         cp maas/intel/pod5/lxc-add-more-interfaces trusty/ubuntu-nodes-compute/lxc/add-more-interfaces
+        # As environment does not need special treatment for interfaces for MAAS 1.9
+         sed -i -- 's/local:trusty\/ubuntu-nodes-controller/cs:trusty\/ubuntu/g' ./bundles.yaml
+         sed -i -- 's/local:trusty\/ubuntu-nodes-compute/cs:trusty\/ubuntu/g' ./bundles.yaml
         # As per your lab vip address list be deafult uses 10.4.1.11 - 10.4.1.20
          sed -i -- 's/10.4.1.1/10.4.1.2/g' ./bundles.yaml
         # choose the correct interface to use for data network
          sed -i -- 's/#os-data-network: 10.4.8.0\/21/os-data-network: 10.4.9.0\/24/g' ./bundles.yaml
         # Choose the external port to go out from gateway to use.
-         sed -i -- 's/#        "ext-port": "eth1"/        "ext-port": "brPublic"/g' ./bundles.yaml
+         sed -i -- 's/#        "ext-port": "eth1"/        "ext-port": "eth2.724"/g' ./bundles.yaml
         ;;
      'attvirpod1' )
         # As virtual environment does not need special treatment for interfaces.
diff --git a/ci/opencontrail/01-deploybundle.sh b/ci/opencontrail/01-deploybundle.sh
index 03cf6e74..f8f0fdbf 100755
--- a/ci/opencontrail/01-deploybundle.sh
+++ b/ci/opencontrail/01-deploybundle.sh
@@ -44,16 +44,15 @@ case "$3" in
          sed -i -- 's/#        "ext-port": "eth1"/        "ext-port": "eth2"/g' ./bundles.yaml
          ;;
      'intelpod5' )
-         cp maas/intel/pod5/interfaces.host trusty/ubuntu-nodes-controller/network/interfaces.host
-         cp maas/intel/pod5/lxc-add-more-interfaces trusty/ubuntu-nodes-controller/lxc/add-more-interfaces
-         cp maas/intel/pod5/interfaces.host trusty/ubuntu-nodes-compute/network/interfaces.host
-         cp maas/intel/pod5/lxc-add-more-interfaces trusty/ubuntu-nodes-compute/lxc/add-more-interfaces
+        # As environment does not need special treatment for interfaces for MAAS 1.9
+         sed -i -- 's/local:trusty\/ubuntu-nodes-controller/cs:trusty\/ubuntu/g' ./bundles.yaml
+         sed -i -- 's/local:trusty\/ubuntu-nodes-compute/cs:trusty\/ubuntu/g' ./bundles.yaml
         # As per your lab vip address list be deafult uses 10.4.1.11 - 10.4.1.20
          sed -i -- 's/10.4.1.1/10.4.1.2/g' ./bundles.yaml
         # choose the correct interface to use for data network
          sed -i -- 's/#os-data-network: 10.4.8.0\/21/os-data-network: 10.4.9.0\/24/g' ./bundles.yaml
         # Choose the external port to go out from gateway to use.
-         sed -i -- 's/#        "ext-port": "eth1"/        "ext-port": "brPublic"/g' ./bundles.yaml
+         sed -i -- 's/#        "ext-port": "eth1"/        "ext-port": "eth2.724"/g' ./bundles.yaml
         ;;
      'attvirpod1' )
         # As virtual environment does not need special treatment for interfaces.